--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -16220,6 +17238,7 @@
 		103c 3040  U98Z062.12 802.11bgn Wireless Half-size Mini PCIe Card
 		105b e017  T77H126.00 802.11bgn Wireless Half-size Mini PCIe Card
 		105b e023  T77H121.04 802.11bgn Wireless Half-size Mini PCIe Card
+		105b e025  T77H121.05 802.11bgn Wireless Half-size Mini PCIe Card
 		1113 e811  WN7811A (Toshiba PA3722U-1MPC) 802.11bgn Wireless Half-size Mini PCIe Card
 		185f 30af  DNXA-95 802.11bgn Wireless Half-size Mini PCIe Card
 		1931 0023  Option GTM67x PCIe WiFi Adapter
@@ -16276,6 +17295,7 @@
 16b4  Aspex Semiconductor Ltd
 16b8  Sonnet Technologies, Inc.
 16be  Creatix Polymedia GmbH
+16c3  Synopsys, Inc.
 16c6  Micrel-Kendin
 	8695  Centaur KS8695 ARM processor
 	8842  KSZ8842-PMQL 2-Port Ethernet Switch
@@ -16370,6 +17390,9 @@
 	ab06  USR997901A 10/100 Cardbus NIC
 16ed  Sycron N. V.
 	1001  UMIO communication card
+16f2  ETAS GmbH
+	0200  I/O board
+		16f2 0010  ES53xx I/O board
 16f3  Jetway Information Co., Ltd.
 16f4  Vweb Corp
 	8000  VW2010
@@ -16420,7 +17443,7 @@
 1771  InnoVISION Multimedia Ltd.
 # nee SBS Technologies
 1775  GE Intelligent Platforms
-177d  Cavium Networks
+177d  Cavium, Inc.
 	0001  Nitrox XL N1
 	0003  Nitrox XL N1 Lite
 	0004  Octeon (and older) FIPS
@@ -16440,6 +17463,53 @@
 	0094  Octeon Fusion CNF71XX Cell processor
 	0095  Octeon III CN78XX Network Processor
 	0096  Octeon III CN70XX Network Processor
+	a001  THUNDERX MRML Bridge
+	a002  THUNDERX PCC Bridge
+		177d a102  CN88XX PCC Bridge
+	a008  THUNDERX SMMU
+		177d a108  CN88XX SMMU
+	a009  THUNDERX Generic Interrupt Controller
+	a00a  THUNDERX GPIO Controller
+	a00b  THUNDERX MPI / SPI Controller
+	a00c  THUNDERX MIO-PTP Controller
+	a00d  THUNDERX MIX Network Controller
+	a00e  THUNDERX Reset Controller
+	a00f  THUNDERX UART Controller
+	a010  THUNDERX eMMC/SD Controller
+	a011  THUNDERX MIO-BOOT Controller
+	a012  THUNDERX TWSI / I2C Controller
+	a013  THUNDERX CCPI (Multi-node connect)
+	a014  THUNDERX Voltage Regulator Module
+	a015  THUNDERX PCIe Switch Logic Interface
+	a016  THUNDERX Key Memory
+	a017  THUNDERX GTI (Global System Timers)
+	a018  THUNDERX Random Number Generator
+	a019  THUNDERX DFA
+	a01a  THUNDERX Zip Coprocessor
+	a01b  THUNDERX xHCI USB Controller
+	a01c  THUNDERX AHCI SATA Controller
+		177d a11c  CN88XX AHCI SATA Controller
+	a01d  THUNDERX RAID Coprocessor
+	a01e  THUNDERX Network Interface Controller
+	a01f  THUNDERX Traffic Network Switch
+	a020  THUNDERX PEM (PCI Express Interface)
+	a021  THUNDERX L2C (Level-2 Cache Controller)
+	a022  THUNDERX LMC (DRAM Controller)
+	a023  THUNDERX OCLA (On-Chip Logic Analyzer)
+	a024  THUNDERX OSM
+	a025  THUNDERX GSER (General Serializer/Deserializer)
+	a026  THUNDERX BGX (Common Ethernet Interface)
+	a027  THUNDERX IOBN
+	a029  THUNDERX NCSI (Network Controller Sideband Interface)
+	a02a  THUNDERX SGP
+	a02b  THUNDERX SMI / MDIO Controller
+	a02c  THUNDERX DAP (Debug Access Port)
+	a02d  THUNDERX PCIERC (PCIe Root Complex)
+	a02e  THUNDERX L2C-TAD
+	a02f  THUNDERX L2C-CBC
+	a030  THUNDERX L2C-MCI
+	a031  THUNDERX MIO-FUS (Fuse Access Controller)
+	a032  THUNDERX FUSF (Fuse Controller)
 1787  Hightech Information System Ltd.
 1789  Ennyah Technologies Corp.
 # also used by Struck Innovative Systeme for joint developments
@@ -16463,6 +17533,14 @@
 	6811  TW6816 multimedia video controller
 	6812  TW6816 multimedia video controller
 	6813  TW6816 multimedia video controller
+# port 5 of 8
+	6814  TW6816 multimedia video controller
+# port 6 of 8
+	6815  TW6816 multimedia video controller
+# port 7 of 8
+	6816  TW6816 multimedia video controller
+# channel 8 of 8
+	6817  TW6816 multimedia video controller
 1799  Belkin
 	6001  F5D6001 Wireless PCI Card [Realtek RTL8180]
 	6020  F5D6020 v3000 Wireless PCMCIA Card [Realtek RTL8180]
@@ -16654,6 +17732,7 @@
 	0701  RT2760 Wireless 802.11n 1T/2R
 		1737 0074  WMP110 v2 802.11n RangePlus Wireless PCI Adapter
 	0781  RT2790 Wireless 802.11n 1T/2R PCIe
+		1814 2790  RT2790 Wireless 802.11n 1T/2R PCIe
 	3060  RT3060 Wireless 802.11n 1T/1R
 		1186 3c04  DWA-525 Wireless N 150 Desktop Adapter (rev.A1)
 	3062  RT3062 Wireless 802.11n 2T/2R
@@ -16675,6 +17754,7 @@
 	5392  RT5392 PCIe Wireless Network Adapter
 	539f  RT5390 [802.11 b/g/n 1T1R G-band PCI Express Single Chip]
 		103c 1637  Pavilion DM1Z-3000 PCIe wireless card
+	5592  RT5592 PCIe Wireless Network Adapter
 	e932  RT2560F 802.11 b/g PCI
 1815  Devolo AG
 1820  InfiniCon Systems Inc.
@@ -16860,6 +17940,8 @@
 	0115  NT20E2-PTP Network Adapter 2x10Gb
 	0125  NT4E2-4-PTP Network Adapter 4x1Gb
 	0135  NT20E2-PTP Network Adapter 2x10Gb
+	0145  NT40E3-4-PTP Network Adapter 4x10Gb
+	0155  NT100E3-1-PTP Network Adapter 1x100Gb
 18f6  NextIO
 	1000  [Nexsis] Switch Virtual P2P PCIe Bridge
 	1001  [Texsis] Switch Virtual P2P PCIe Bridge
@@ -16996,8 +18078,15 @@
 		1924 7104  SFN5161T-R4 10GBASE-T Server Adapter
 		1924 7904  SFN5151T-R4 10GBASE-T Server Adapter
 	0903  SFC9120
+		1014 04cc  SFN7122F-R2 2x10GbE SFP+ Flareon Ultra
 		1924 8002  SFN7122F-R1 SFP+ Server Adapter
+		1924 8003  SFN7x41Q-R1 Flareon Ultra 7000 Series 10/40G Adapter
 		1924 8006  SFN7022F-R1 SFP+ Server Adapter
+		1924 8007  SFN7322F-R2 Precision Time SFP+ Server Adapter
+		1924 8009  SFN7x22F-R2 Flareon Ultra 7000 Series 10G Adapter
+		1924 800a  SFN7x02F-R2 Flareon 7000 Series 10G Adapter
+	0923  SFC9140
+		1924 800b  SFN7x42Q-R1 Flareon Ultra 7000 Series 10/40G Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
 	1813  SFL9021 Virtual Function [Solarstorm]
 	6703  SFC4000 rev A iSCSI/Onload [Solarstorm]
@@ -17027,6 +18116,8 @@
 	0364  AHA364-PCIe
 	0367  AHA367-PCIe
 	0370  AHA370-PCIe
+	3641  AHA3641
+	3642  AHA3642
 1942  ClearSpeed Technology plc
 	e511  Advance X620 accelerator card
 	e521  Advance e620 accelerator card
@@ -17078,7 +18169,9 @@
 	0082  MPC8347E TBGA
 	0083  MPC8347 TBGA
 	0084  MPC8347E PBGA
+		110a 4074  SIMATIC NET CP 1628
 	0085  MPC8347 PBGA
+		110a 4046  SIMATIC NET CP 1623
 	0086  MPC8343E
 	0087  MPC8343
 	00b4  MPC8315E
@@ -17142,6 +18235,7 @@
 	1062  AR8132 Fast Ethernet
 	1063  AR8131 Gigabit Ethernet
 		1458 e000  GA-G31M-ES2L Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	1066  Attansic L2c Gigabit Ethernet
 	1067  Attansic L1c Gigabit Ethernet
 	1073  AR8151 v1.0 Gigabit Ethernet
@@ -17154,7 +18248,8 @@
 	2048  Attansic L2 Fast Ethernet
 	2060  AR8152 v1.1 Fast Ethernet
 	2062  AR8152 v2.0 Fast Ethernet
-	e091  Killer E2200 Gigabit Ethernet Controller
+# E2200, E2201, E2205
+	e091  Killer E220x Gigabit Ethernet Controller
 196a  Sensory Networks Inc.
 	0101  NodalCore C-1000 Content Classification Accelerator
 	0102  NodalCore C-2000 Content Classification Accelerator
@@ -17235,9 +18330,11 @@
 		103c 3340  NC552SFP 2-port 10Gb Server Adapter
 		103c 3341  NC552m 10Gb 2-port FlexFabric Converged Network Adapter
 		103c 3345  NC553m 10Gb 2-port FlexFabric Converged Network Adapter
+		103c 337b  NC554FLB 10Gb 2-port FlexFabric Converged Network Adapter
 	0712  OneConnect 10Gb iSCSI Initiator (be3)
 	0714  OneConnect 10Gb FCoE Initiator (be3)
 		103c 3315  NC553i 10Gb 2-port FlexFabric Converged Network Adapter
+		103c 337b  NC554FLB 10Gb 2-port FlexFabric Converged Network Adapter
 19a8  DAQDATA GmbH
 19ac  Kasten Chase Applied Research
 	0001  ACA2400 Crypto Accelerator
@@ -17283,6 +18380,8 @@
 1a1e  3Leaf Systems, Inc.
 1a22  Ambric Inc.
 1a29  Fortinet, Inc.
+	4338  CP8 Content Processor ASIC
+	4e36  NP6 Network Processor
 1a2b  Ascom AG
 	0000  GESP v1.2
 	0001  GESP v1.3
@@ -17290,6 +18389,11 @@
 	0005  ETP v1.4
 	000a  ETP-104 v1.1
 	000e  DSLP-104 v1.1
+# nee Metalink Ltd.
+1a30  Lantiq
+	0680  MtW8171 [Hyperion II]
+	0700  Wave300 PSB8224 [Hyperion III]
+	0710  Wave300 PSB8231 [Hyperion III]
 1a32  Quanta Microsystems, Inc
 1a3b  AzureWave
 	1112  AR9285 Wireless Network Adapter (PCI-Express)
@@ -17336,7 +18440,7 @@
 1a76  Wavesat
 1a77  Lightfleet Corporation
 1a78  Virident Systems Inc.
-	0031  Virident FlashMAX Drive
+	0031  FlashMAX Drive
 		1a78 0034  FlashMAX PCIe SSD [rev 3]
 		1a78 0037  FlashMAX PCIe SSD [rev 3D]
 		1a78 0038  FlashMAX PCIe SSD [rev 4]
@@ -17344,6 +18448,7 @@
 	0040  FlashMAX II
 	0041  FlashMAX II
 	0042  FlashMAX II
+	0050  FlashMAX III
 1a84  Commex Technologies
 	0001  Vulcan SP HT6210 10-Gigabit Ethernet (rev 02)
 1a88  MEN Mikro Elektronik
@@ -17364,6 +18469,7 @@
 	4005  Accelerated Virtual Video Adapter
 	4006  Memory Ballooning Controller
 1ab9  Espia Srl
+1ac8  Aeroflex Gaisler
 1acc  Point of View BV
 1ad7  Spectracom Corporation
 	8000  TSync-PCIe Time Code Processor
@@ -17398,6 +18504,9 @@
 	1007  ioXtreme Pro
 	1008  ioXtreme-2
 	2001  ioDrive2
+	3001  ioMemory FHHL
+	3002  ioMemory HHHL
+	3003  ioMemory Mezzanine
 1aee  Caustic Graphics Inc.
 # nee Qumranet, Inc.
 1af4  Red Hat, Inc
@@ -17408,6 +18517,10 @@
 	1004  Virtio SCSI
 	1005  Virtio RNG
 	1009  Virtio filesystem
+	1010  Virtio GPU
+	1012  Virtio input device
+	1110  Inter-VM shared memory
+		1af4 1100  QEMU Virtual Machine
 1af5  Netezza Corp.
 1afa  J & W Electronics Co., Ltd.
 1b03  Magnum Semiconductor, Inc,
@@ -17422,11 +18535,24 @@
 	0612  ASM1062 Serial ATA Controller
 		1849 0612  Motherboard
 	1042  ASM1042 SuperSpeed USB Host Controller
+		1043 8488  P8B WS Motherboard
 		1849 1042  Motherboard
 	1080  ASM1083/1085 PCIe to PCI Bridge
 		1849 1080  Motherboard
+	1142  ASM1042A USB 3.0 Host Controller
 1b2c  Opal-RT Technologies Inc.
 1b36  Red Hat, Inc.
+	0001  QEMU PCI-PCI bridge
+	0002  QEMU PCI 16550A Adapter
+		1af4 1100  QEMU Virtual Machine
+	0003  QEMU PCI Dual-port 16550A Adapter
+		1af4 1100  QEMU Virtual Machine
+	0004  QEMU PCI Quad-port 16550A Adapter
+		1af4 1100  QEMU Virtual Machine
+	0005  QEMU PCI Test Device
+		1af4 1100  QEMU Virtual Machine
+	0100  QXL paravirtual graphic card
+		1af4 1100  QEMU Virtual Machine
 1b37  Signal Processing Devices Sweden AB
 	0014  ADQ412
 1b3a  Westar Display Technologies
@@ -17449,15 +18575,20 @@
 	9130  88SE9128 PCIe SATA 6 Gb/s RAID controller with HyperDuo
 		1043 8438  P8P67 Deluxe Motherboard
 	9172  88SE9172 SATA 6Gb/s Controller
+	9178  88SE9170 PCIe SATA 6Gb/s Controller
 	917a  88SE9172 SATA III 6Gb/s RAID Controller
 	9183  88SS9183 PCIe SSD Controller
 	9192  88SE9172 SATA III 6Gb/s RAID Controller
 	91a0  88SE912x SATA 6Gb/s Controller [IDE mode]
 	91a4  88SE912x IDE Controller
+	9220  88SE9220 PCIe 2.0 x2 2-port SATA 6 Gb/s RAID Controller
 	9230  88SE9230 PCIe SATA 6Gb/s Controller
+	9235  88SE9235 PCIe 2.0 x2 4-port SATA 6 Gb/s Controller
+	9445  88SE9445 PCIe 2.0 x4 4-Port SAS/SATA 6 Gbps RAID Controller
 	9480  88SE9480 SAS/SATA 6Gb/s RAID controller
 	9485  88SE9485 SAS/SATA 6Gb/s controller
 1b55  NetUP Inc.
+	18f6  Dual DVB Universal CI card
 	2a2c  Dual DVB-S2-CI card
 	e2e4  Dual DVB-T/C-CI RF card
 # 2xHDMI and 2xHD-SDI inputs
@@ -17499,6 +18630,8 @@
 1bbf  Maxeler Technologies Ltd.
 	0003  MAX3
 	0004  MAX4
+1bee  IXXAT Automation GmbH
+	0003  CAN-IB200/PCIe
 1bf4  VTI Instruments Corporation
 	0001  SentinelEX
 1bfd  EeeTOP
@@ -17510,6 +18643,10 @@
 	00a0  FBC4G Capture 4x1Gb
 	00a1  FBC4XG Capture 4x10Gb
 	00a2  FBC8XG Capture 8x10Gb
+	00a3  FBC2XG Capture 2x10Gb
+	00a4  FBC4XGG3 Capture 4x10Gb
+	00a5  FBC2XLG Capture 2x40Gb
+	00a6  FBC1CG Capture 1x100Gb
 # Used on V120 VME Crate Controller
 1c32  Highland Technology, Inc.
 1c33  Daktronics, Inc
@@ -17530,6 +18667,8 @@
 	0001  ExaNIC X4
 	0002  ExaNIC X2
 1cf7  Subspace Dynamics
+# CEM Solutions Pvt. Ltd.
+1d21  Allo
 1d44  DPT
 	a400  PM2x24/PM3224
 1d5c  Fantasia Trading LLC
@@ -17732,6 +18871,7 @@
 416c  Aladdin Knowledge Systems
 	0100  AladdinCARD
 	0200  CPC
+4254  DVBSky
 4321  Tata Power Strategic Electronics Division
 434e  CAST Navigation LLC
 4444  Internext Compression Inc
@@ -18112,7 +19252,7 @@
 	1025  16 photo couple 16 relay Card
 	4000  WatchDog Card
 6688  Zycoo Co., Ltd
-	1200  CooVOX TDM Analog Module
+	1200  CooVox TDM Analog Module
 	1400  CooVOX TDM GSM Module
 	1600  CooVOX TDM E1/T1 Module
 	1800  CooVOX TDM BRI Module
@@ -18143,9 +19283,14 @@
 	0044  Core Processor DRAM Controller
 		1025 0347  Aspire 7740G
 		1025 0487  TravelMate 5742
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	0045  Core Processor PCI Express x16 Root Port
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	0046  Core Processor Integrated Graphics Controller
+		144d c06a  R730 Laptop
+		17c0 10d9  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	0047  Core Processor Secondary PCI Express Root Port
 	0048  Core Processor DRAM Controller
@@ -18207,12 +19352,13 @@
 		8086 5226  Centrino Advanced-N 6230 ABG
 	0100  2nd Generation Core Processor Family DRAM Controller
 		1028 04aa  XPS 8300
-		1043 844d  P8P67 Deluxe Motherboard
+		1043 844d  P8P67/P8H67 Series Motherboard
 	0101  Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
 		1028 04b2  Vostro 3350
 		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
 	0102  2nd Generation Core Processor Family Integrated Graphics Controller
 		1028 04aa  XPS 8300
+		1043 0102  P8H67 Series Motherboard
 	0104  2nd Generation Core Processor Family DRAM Controller
 		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
@@ -18235,11 +19381,14 @@
 	0126  2nd Generation Core Processor Family Integrated Graphics Controller
 		1028 04cc  Vostro 3350
 	0150  Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller
-		1043 84ca  P8H77-I Motherboard
+		1043 84ca  P8 series motherboard
+		15d9 0624  X9SCM-F Motherboard
 		1849 0150  Motherboard
 	0151  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
 		1043 1477  N56VZ
+		1043 844d  P8 series motherboard
 		1043 84ca  P8H77-I Motherboard
+		8086 2010  Server Board S1200BTS
 	0152  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
 		1043 84ca  P8H77-I Motherboard
 	0153  3rd Gen Core Processor Thermal Subsystem
@@ -18250,19 +19399,25 @@
 		1043 1477  N56VZ
 		1043 1517  Zenbook Prime UX31A
 	0155  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+		8086 2010  Server Board S1200BTS
 	0156  3rd Gen Core processor Graphics Controller
 	0158  Xeon E3-1200 v2/Ivy Bridge DRAM Controller
+		1043 844d  P8 series motherboard
+		8086 2010  Server Board S1200BTS
 	0159  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
 	015a  Xeon E3-1200 v2/Ivy Bridge Graphics Controller
 	015c  Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller
 	015d  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+		1043 844d  P8 series motherboard
 	015e  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
 	0162  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+		1043 84ca  P8 series motherboard
 		1849 0162  Motherboard
 	0166  3rd Gen Core processor Graphics Controller
 		1043 1517  Zenbook Prime UX31A
 		1043 2103  N56VZ
 	016a  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+		1043 844d  P8B WS Motherboard
 	0172  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
 	0176  3rd Gen Core processor Graphics Controller
 	0309  80303 I/O Processor PCI-to-PCI Bridge
@@ -18297,6 +19452,7 @@
 	0416  4th Gen Core Processor Integrated Graphics Controller
 		17aa 220e  ThinkPad T440p
 	041a  Xeon E3-1200 v3 Processor Integrated Graphics Controller
+	041e  4th Generation Core Processor Family Integrated Graphics Controller
 	0433  Coleto Creek ACC - ME/CPM interface
 	0435  Coleto Creek PCIe Endpoint
 	0436  DH8900CC Null Device
@@ -18523,7 +19679,7 @@
 # Stone Peak 2 BGN
 		8086 5002  Wireless-N 7265
 # Stone Peak 2 AGN
-		8086 500a  Dual Band Wireless-AC 7265
+		8086 500a  Dual Band Wireless-N 7265
 # Stone Peak 2 AC
 		8086 5010  Dual Band Wireless-AC 7265
 # Stone Peak 2 AC
@@ -18534,8 +19690,14 @@
 		8086 502a  Dual Band Wireless-N 7265
 # Maple Peak AC
 		8086 5090  Dual Band Wireless-AC 7265
+# Stone Peak 2 AGN
+		8086 5100  Dual Band Wireless-AC 7265
+# Stone Peak 2 AGN
+		8086 510a  Dual Band Wireless-AC 7265
 # Stone Peak 2 AC
 		8086 5110  Dual Band Wireless-AC 7265
+# Stone Peak 2 AC
+		8086 5112  Dual Band Wireless-AC 7265
 # Maple Peak AC
 		8086 5190  Dual Band Wireless-AC 7265
 # Stone Peak 2 AGN
@@ -18551,8 +19713,12 @@
 # Stone Peak 2 AC
 		8086 9010  Dual Band Wireless-AC 7265
 # Stone Peak 2 AC
+		8086 9012  Dual Band Wireless-AC 7265
+# Stone Peak 2 AC
 		8086 9110  Dual Band Wireless-AC 7265
 # Stone Peak 2 AC
+		8086 9112  Dual Band Wireless-AC 7265
+# Stone Peak 2 AC
 		8086 9210  Dual Band Wireless-AC 7265
 # Stone Peak 2 AC
 		8086 9310  Dual Band Wireless-AC 7265
@@ -18577,9 +19743,12 @@
 	0962  80960RM (i960RM) Bridge
 	0964  80960RP (i960RP) Microprocessor/Bridge
 	0a04  Haswell-ULT DRAM Controller
+		17aa 2214  ThinkPad X240
 	0a06  Haswell-ULT Integrated Graphics Controller
 	0a0c  Haswell-ULT HD Audio Controller
+		17aa 2214  ThinkPad X240
 	0a16  Haswell-ULT Integrated Graphics Controller
+		17aa 2214  ThinkPad X240
 	0a22  Haswell-ULT Integrated Graphics Controller
 	0a26  Haswell-ULT Integrated Graphics Controller
 	0a2a  Haswell-ULT Integrated Graphics Controller
@@ -18612,6 +19781,7 @@
 	0c00  4th Gen Core Processor DRAM Controller
 	0c01  Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller
 	0c04  Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	0c05  Xeon E3-1200 v3/4th Gen Core Processor PCI Express x8 Controller
 	0c08  Xeon E3-1200 v3 Processor DRAM Controller
